Subject: Re: bug#26345: [PATCH] Handle renamed files when cycling through revisions

From: Sean Whitton <[email-masked]>
Date: Mon, 07 Jul 2025 09:34:30 +0100

Hello,

On Sun 06 Jul 2025 at 11:30pm +02, Jakub Ječmínek via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> Sean Whitton <[email-masked]> writes:
>
>> And maybe then this could happen up in vc-annotate instead of being
>> Git-specific.  It's kind of a heuristic anyway.
>
> The problem occurs when we call `vc-annotate-next-revision', which in
> turn calls `vc-annotate-warp-revision'. I can make the change there, but
> I'm not familiar with any VCS other than Git, so I can't test it.

That's okay, I think the only thing is to check that the backend
implements file-name-changes using vc-find-backend-function.  Then so
long as the general approach makes sense and works for Git it's fine.

> Dmitry Gutov <[email-masked]> writes:
>
>> On 05/07/2025 19:42, Sean Whitton wrote:
>> I think (?) the file name might have changed in some later revision - so
>> it won't be returned by vc-git-file-name-changes for that specific REV,
>> but still might not match the current name.
>
> I'm not sure.

Seems like this needs to be investigated before we can proceed.

-- 
Sean Whitton